/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Generic/Counter/include/Parameters.h"

namespace morpheo {
namespace behavioural {
namespace generic {
namespace counter {


  Parameters::Parameters (uint32_t size_data,
			  uint32_t nb_port  ):
    _size_data(size_data),
    _nb_port  (nb_port  ),
    _data_max ((1<<size_data)-1)
  {
    log_printf(FUNC,Counter,"Parameters","Begin");
    test();
    log_printf(FUNC,Counter,"Parameters","End");
  };
  
  Parameters::Parameters (Parameters & param):
    _size_data(param._size_data),
    _nb_port  (param._nb_port  ),
    _data_max (param._data_max )
  {
    log_printf(FUNC,Counter,"Parameters","Begin");
    test();
    log_printf(FUNC,Counter,"Parameters","End");
  };

  Parameters::~Parameters () 
  {
    log_printf(FUNC,Counter,"~Parameters","Begin");
    log_printf(FUNC,Counter,"~Parameters","End");
  };

}; // end namespace counter
}; // end namespace generic

}; // end namespace behavioural
}; // end namespace morpheo              
